Bug 7467 - Printing Transfer Slips for checkin items that do not have holds but need transfer
Summary: Printing Transfer Slips for checkin items that do not have holds but need tra...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Srdjan Jankovic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7001
  Show dependency treegraph
 
Reported: 2012-01-25 03:42 UTC by Srdjan Jankovic
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (4.52 KB, patch)
2012-01-25 06:04 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_7467: Printing Transfer Slips for transfers that do not have holds (4.57 KB, patch)
2012-02-20 14:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
bug_7467: Printing Transfer Slips for transfers that do not have holds - Addendum: Use for automatic transfers as well. (3.53 KB, patch)
2012-02-20 14:48 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2012-01-25 03:42:59 UTC
Work to be done:
* Create circ/transfer-slip.pl and circ/transfer-slip.tt similar to hold-transfer-slip
* circ/returns.tt: add "Yes and Print Slip" button that will call Dopop('transfer-slip.pl')
* Remove inputloop and ri-* variables code from circ/returns, it is not used and is confusing

How to test:
* When returning an item without holds rhat needs to be transferred to home branch "Yes and Print Slip" button should show
* Click athe button and print slip. Meaningful To and From branch, as well as item info should print
Comment 1 Srdjan Jankovic 2012-01-25 06:04:14 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2012-01-25 16:04:41 UTC
srdjan - how does this relate to 7001? (if at all)
Comment 3 Liz Rea 2012-01-25 16:15:43 UTC
observation - the Circulation -> transfer functionality could use this slip too, is that considered too much of a scope creep?
Comment 4 Liz Rea 2012-01-25 17:07:58 UTC
I got the patch applied just fine, but I don't seem to get the changes when I check in a book that needs to go home - it looks the same as it always does?
Comment 5 Srdjan Jankovic 2012-01-27 01:04:51 UTC
* how does this relate to 7001?
It does not, this is an ad hoc slip. Of course, it could be turned into a templated TRANSF (or some other code) slip once 7001 is done

* Circulation -> transfer functionality could use this slip too
It can be done, but I would need to requote, it would meed some additional javascript to pick up selected destination branch

* I don't seem to get the changes
Can it be for some sysprefs reason? In general, if "Yes" transfer button is on the screen, "Yes and Print Slip" must be there too
Comment 6 Kyle M Hall 2012-02-06 17:57:19 UTC
Attempted to test this patch. Path applies cleanly, but the "Yes and Print Slip" button never appears. What situation should cause this button to appear?

I've tried to situations:
1) Check out item to patron at LibraryA, return at LibraryB, this results in the message "Please Return <Item Title> to LibraryA".

2) Item that has a holding and home branch of LibraryA, but not checked out to a borrower, is checked in to LibraryB, results in the same message as situation 1.
Comment 7 Srdjan Jankovic 2012-02-07 01:49:47 UTC
1. When I do this scenario I get "This item needs to be transferred to <missing branch name, a bug>. Transfer Now?" and "Yes and Print Slip" button. I think it has something to do with your userenv library, but I cannot pinpoint what exactly. Can you please try maybe with two computers (or different browsers, explorer, firefox, chrome, opera) and log in as different users with different home branches.

2. When I do that, I get "Print slip, Transfer, and Confirm", which was already there (not part of this bug). This could be happening because your library is the holding destination ( similar userenv issue)
Comment 8 Kyle M Hall 2012-02-20 14:43:52 UTC
The button only appears if AutomaticItemReturn is turned off, I don't see a reason for only being able to print the slip if AutomaticItemReturn is disabled.

Other than that, it works just fine.
Comment 9 Kyle M Hall 2012-02-20 14:45:34 UTC
Created attachment 7775 [details] [review]
bug_7467: Printing Transfer Slips for transfers that do not have holds

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2012-02-20 14:48:30 UTC
Created attachment 7776 [details] [review]
bug_7467: Printing Transfer Slips for transfers that do not have holds - Addendum: Use for automatic transfers as well.
Comment 11 Paul Poulain 2012-02-27 14:09:45 UTC
QA comment:
* passes test
* only a few lines on existing code
* new scripts/template properly written
* i've added a link to bug 7001 not to forget to introduce the slips in notifications

passed QA
Comment 12 Jared Camins-Esakov 2012-12-31 00:40:22 UTC
There have been no further reports of problems so I am marking this bug resolved.